漏洞信息详情

NaviServer 缓冲区错误漏洞

  • CNNVD编号:CNNVD-202005-839
  • 危害等级: 高危
  • CVE编号: CVE-2020-13111
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2020-05-16
  • 威胁类型: 远程
  • 更新时间: 2020-08-25
  • 厂        商:
  • 漏洞来源:

漏洞简介

NaviServer是一款使用C语言和Tcl语言编写的Web服务器。它支持反向代理、IPv6、动态线程池映射和基于OpenSSL的加密等功能。

NaviServer 4.99.4版本至4.99.19版本中的nsd/driver.c文件的‘ChunkedDecode’函数存在安全漏洞,该漏洞源于程序没有正确验证块的长度。远程攻击者可通过发送特制的分块传输请求利用该漏洞导致拒绝服务(进程崩溃)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://bitbucket.org/naviserver/naviserver/commits/a5c3079f1d8996d5f34c9384a440acf3519ca3bb

参考网址

来源:MISC

链接:https://bitbucket.org/naviserver/naviserver/commits/a5c3079f1d8996d5f34c9384a440acf3519ca3bb

来源:MISC

链接:https://sourceforge.net/p/naviserver/bugs/89/

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/48044

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-13111

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多